### Class

# Vips ThreadState

#### Description [src]

    class Vips.ThreadState : Vips.Object
    {
      VipsImage* im,
      VipsRegion* reg,
      VipsRect pos,
      int x,
      int y,
      gboolean stop,
      void* a,
      gboolean stall
    }

A `VipsThreadState` represents a per-thread state.

`VipsThreadpoolAllocateFn` functions can use these members to communicate with `VipsThreadpoolWorkFn` functions.

See also

`vips_threadpool_run()`.

#### Hierarchy

#### Ancestors

- VipsObject
- GObject

#### Constructors

###### vips_thread_state_new

No description available.

#### Functions

###### vips_thread_state_set

No description available.

#### Instance methods

##### Methods inherited from VipsObject (27)

Please see VipsObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from VipsObject (2)

###### Vips.Object:description

No description available.

###### Vips.Object:nickname

No description available.

#### Signals

##### Signals inherited from VipsObject (4)

###### VipsObject::close

The ::close signal is emitted once during object close. The object is dying and may not work.

###### VipsObject::postbuild

The ::postbuild signal is emitted once just after successful object construction. Return non-zero to cause object construction to fail.

###### VipsObject::postclose

The ::postclose signal is emitted once after object close. The object pointer is still valid, but nothing else.

###### VipsObject::preclose

The ::preclose signal is emitted once just before object close starts. The object is still alive.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct VipsThreadStateClass {
      VipsObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: VipsObjectClass`

  No description available.